Skip to main content
GET
Get k8s cluster kubeconfig

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

cluster_name
string
required

Cluster name

Example:

"my-cluster"

Response

200 - application/json

OK

client_certificate
string
required

String in base64 format. Cluster client certificate

client_key
string
required

String in base64 format. Cluster client key

cluster_ca_certificate
string
required

String in base64 format. Cluster ca certificate

config
string
required

Cluster kubeconfig

created_at
string<date-time>
required

Kubeconfig creation date

Example:

"2024-02-15T11:53:03Z"

expires_at
string<date-time>
required

Kubeconfig expiration date

Example:

"2026-02-15T11:53:03Z"

host
string
required

Cluster host